Bug 198242 - ldd -r reports undefined symbols
Summary: ldd -r reports undefined symbols
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: wireshark   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ldd-r-kh
TreeView+ depends on / blocked
 
Reported: 2006-07-10 15:23 UTC by Karsten Hopp
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.99.2-0.pre1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 08:08:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karsten Hopp 2006-07-10 15:23:09 UTC
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.
Reproducer: rpm -ql <packagename>| grep lib.*so | xargs ldd -r


wireshark-0.99.1-0.pre1
undefined symbol: tree_head     (/usr/lib/libwireshark.so)
undefined symbol: gcry_mpi_print        (/usr/lib/libwireshark.so)
undefined symbol: gcry_md_get_algo_dlen (/usr/lib/libwireshark.so)
undefined symbol: gcry_mpi_scan (/usr/lib/libwireshark.so)
undefined symbol: gcry_md_close (/usr/lib/libwireshark.so)
undefined symbol: get_tree      (/usr/lib/libwireshark.so)
undefined symbol: register_mib_handlers (/usr/lib/libwireshark.so)
undefined symbol: gcry_md_read  (/usr/lib/libwireshark.so)
undefined symbol: gcry_md_setkey        (/usr/lib/libwireshark.so)
undefined symbol: gcry_cipher_get_algo_keylen   (/usr/lib/libwireshark.so)
...
...

Comment 1 Radek Vokal 2006-07-11 08:08:37 UTC
I've just packaged wireshark-0.99.2-0.pre1 where I beleive this is fixed.


Note You need to log in before you can comment on or make changes to this bug.